From ae90e63a49ad3078be2c517d364989344fe89124 Mon Sep 17 00:00:00 2001
From: Prafulla Wadaskar <prafulla@pe-lt078.(none)>
Date: Mon, 19 Jul 2010 04:35:50 +0530
Subject: [PATCH 1/2] cmd_ide: add support for Kirkwood

Added MVSATAHC definitions to Kirkwood.
Added support for Kirkwood in cmd_ide.

Signed-off-by: Prafulla Wadaskar <prafulla@pe-lt078.(none)>
---
 arch/arm/include/asm/arch-kirkwood/kirkwood.h |    5 ++++-
 common/cmd_ide.c                              |    2 ++
 2 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/arch/arm/include/asm/arch-kirkwood/kirkwood.h b/arch/arm/include/asm/arch-kirkwood/kirkwood.h
index 2470efb..5cda59f 100644
--- a/arch/arm/include/asm/arch-kirkwood/kirkwood.h
+++ b/arch/arm/include/asm/arch-kirkwood/kirkwood.h
@@ -59,7 +59,10 @@
 #define KW_USB20_BASE			(KW_REGISTER(0x50000))
 #define KW_EGIGA0_BASE			(KW_REGISTER(0x72000))
 #define KW_EGIGA1_BASE			(KW_REGISTER(0x76000))
-
+#define KW_SATA_BASE			(KW_REGISTER(0x80000))
+#define KW_SATA_PORT0_OFFSET		0x2000
+#define KW_SATA_PORT1_OFFSET		0x4000
+ 
 #if defined (CONFIG_KW88F6281)
 #include <asm/arch/kw88f6281.h>
 #elif defined (CONFIG_KW88F6192)
diff --git a/common/cmd_ide.c b/common/cmd_ide.c
index 2052d16..6ef4290 100644
--- a/common/cmd_ide.c
+++ b/common/cmd_ide.c
@@ -47,6 +47,8 @@
 
 #ifdef CONFIG_ORION5X
 #include <asm/arch/orion5x.h>
+#elif defined CONFIG_KIRKWOOD
+#include <asm/arch/kirkwood.h>
 #endif
 
 #include <ide.h>
-- 
1.7.0.1

